Bug 14665 - All wxGTK apps and samples crash at exit
: All wxGTK apps and samples crash at exit
Status: CLOSED FIXED
: Branch 4.0
(All bugs in Branch 4.0/wxGTK)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-26 20:50 by
Modified: 2008-03-20 09:34 (History)


Attachments
простенька тест-программа (241 bytes, text/plain)
2008-02-26 20:52, Aleksey Borisenkov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-26 20:50:51
Любое GUI приложение, собранное с использованием wxGTK, при завершении работы
вызывает исключение "Segmentation fault".
Проблема возникает из-за сборки библиотеки с опцией "--with-gnomevfs". Похоже,
что в качестве обработчика atexit регистрируется функция динамической
библиотеки
libgnomevfs-2.so.0, но к моменту вызова этого обработчика при выходе библиотека
оказывается уже выгруженной.
Steps to Reproduce:
1. Компилируем тестовое приложение
$ g++ -o wxtest wxtest.cpp `wx-config --libs --cxxflags`
2. Запускаем его
$ ./wxtest
Actual Results:  
Hello, World!
Segmentation fault

Expected Results:  
Hello, World!
------- Comment #1 From 2008-02-26 20:52:08 -------
Created an attachment (id=2452) [details]
простенька тест-программа
------- Comment #2 From 2008-03-02 14:33:31 -------
Собственно, проблему так и решают - отрыванием gnomevfs:
http://bugs.gentoo.org/show_bug.cgi?id=203389
------- Comment #3 From 2008-03-03 09:02:42 -------
оторвём
------- Comment #4 From 2008-03-20 09:34:05 -------
fixed in 2.8.6-alt2